function demoPumpCurve(n)
% demoPumpCurve  Generate the pump curve for the pump used in Example 12.4
%                of Munson, Young and Okiishi
%
% Synopsis:  demoPumpCurve
%            demoPumpCurve(n)
%
% Input:  n = (optional) degree of polynomial used in curve fit for
%             the pump data.  Default:  n = 3 (cubic)
%
% Output:  Print-out of pump curve coefficients and a plot of the pump curve.

if nargin<3,  n=3;  end

% --- Data for pump curve
Q = [ 0  400  800  1400  1800  2200  2300]*6.309e-5;   %  m^3/s
h = [88   86   81   70     60    46    40]*0.3048;     %  m

pc = makePumpCurve(Q,h,n);   %  polynomial curve fit of degree n
